# Kiafumi

A kitchen-sink discord bot designed to replace [Skyra](https://skyra.pw) v7 for use in the [HC](https://discord.gg/utgAEV2) network.

It's written in Java, using [JDA](https://github.com/DV8FromTheWorld/JDA). User feedback is greatly encouraged!

### Credits & Thanks

+ [oko](https://oko.moe) (Development + Moral Support)
+ [Tiddy](https://tiddy.oko.moe) (Development + Being an Angel)
+ [Laika](http://alpinia.link) (Development + Java Shenanigans)
+ [Favna](https://favware.tech), for maintaining [Ribbon](https://github.com/favna/ribbon) from 2017-2019, & Skyra to this day!

### Installation

1. Download from the [Releases](https://fem.mint.lgbt/oko/kiafumi/releases), or compile with `mvn clean package`.
2. Run `Kiafumi-x.x.jar` in an empty directory.
3. Create a new MariaDB(**Not** MySQL) database.
4. Open and configure the generated `config.yml`.
5. Run `Kiafumi-x.x.jar` again.

### License
Copyright © 2022 oko, under the [ISC License](./LICENSE)